Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## guitools.toolkit
Interface EditablePeer

All Known Implementing Classes:
  EPeerImpl

    public interface EditablePeer

An EditablePeer interface is a editable peer interface. It extends Editor.

See Also:
  `#EditableComponent`, `#EditableContainer`

Field Summary
`static int` | `ALLBLACKBLOCK`
`static int` | `ALLCURPOS`
`static int` | `BBHEIGHT`
`static int` | `BBWIDTH` The editor control block size.
`static int` | `BOTTOMLEFTBB`
`static int` | `BOTTOMLEFTCP`
`static int` | `BOTTOMMIDDLEBB`
`static int` | `BOTTOMRIGHTBB`
`static int` | `BOTTOMRIGHTCP`
`static int` | `CENTERLEFTBB`
`static int` | `CENTERRIGHTBB`
`static int` | `MOVABLE`
`static int` | `NOBLACKBLOCK` The editor controls fields.
`static int` | `NOCURPOS` The normal status current position marks.
`static int` | `TOPLEFTBB`
`static int` | `TOPLEFTCP`
`static int` | `TOPMIDDLEBB`
`static int` | `TOPRIGHTBB`
`static int` | `TOPRIGHTCP`

Method Summary
`boolean` | `canBeEdited()`
`boolean` | `canBeEditedContent()`
`int` | `getCurPosMarks()`
`int` | `getEdCtrls()`
`Editable` | `getEditable()`
`java.awt.Cursor` | `getEditorCursor(int pos)`
`int` | `inBlackBlock(int x, int y, int edctrl)`
`void` | `paintExterior(java.awt.Graphics g, int width, int height, int edctrl)`
`void` | `paintMarks(java.awt.Graphics g)`
`void` | `setCurPosMarks(int value)`
`void` | `setEditable(Editable ed)`
`void` | `updateEditableBounds()`

Field Detail

### NOBLACKBLOCK

    static final int NOBLACKBLOCK

  The editor controls fields.

  See Also:
    Constant Field Values

### TOPLEFTBB

    static final int TOPLEFTBB

See Also:
  Constant Field Values

### TOPMIDDLEBB

    static final int TOPMIDDLEBB

See Also:
  Constant Field Values

### TOPRIGHTBB

    static final int TOPRIGHTBB

See Also:
  Constant Field Values

### CENTERLEFTBB

    static final int CENTERLEFTBB

See Also:
  Constant Field Values

### CENTERRIGHTBB

    static final int CENTERRIGHTBB

See Also:
  Constant Field Values

### BOTTOMLEFTBB

    static final int BOTTOMLEFTBB

See Also:
  Constant Field Values

### BOTTOMMIDDLEBB

    static final int BOTTOMMIDDLEBB

See Also:
  Constant Field Values

### BOTTOMRIGHTBB

    static final int BOTTOMRIGHTBB

See Also:
  Constant Field Values

### MOVABLE

    static final int MOVABLE

See Also:
  Constant Field Values

### ALLBLACKBLOCK

    static final int ALLBLACKBLOCK

See Also:
  Constant Field Values

### BBWIDTH

    static final int BBWIDTH

  The editor control block size.

  See Also:
    Constant Field Values

### BBHEIGHT

    static final int BBHEIGHT

See Also:
  Constant Field Values

### NOCURPOS

    static final int NOCURPOS

  The normal status current position marks.

  See Also:
    Constant Field Values

### TOPLEFTCP

    static final int TOPLEFTCP

See Also:
  Constant Field Values

### TOPRIGHTCP

    static final int TOPRIGHTCP

See Also:
  Constant Field Values

### BOTTOMLEFTCP

    static final int BOTTOMLEFTCP

See Also:
  Constant Field Values

### BOTTOMRIGHTCP

    static final int BOTTOMRIGHTCP

See Also:
  Constant Field Values

### ALLCURPOS

    static final int ALLCURPOS

See Also:
  Constant Field Values

Method Detail

### getEditable

    Editable getEditable()

### setEditable

    void setEditable(Editable ed)

### updateEditableBounds

    void updateEditableBounds()

### getEdCtrls

    int getEdCtrls()

### getCurPosMarks

    int getCurPosMarks()

### setCurPosMarks

    void setCurPosMarks(int value)

### inBlackBlock

    int inBlackBlock(int x,
                     int y,
                     int edctrl)

### getEditorCursor

    java.awt.Cursor getEditorCursor(int pos)

### canBeEdited

    boolean canBeEdited()

### canBeEditedContent

    boolean canBeEditedContent()

### paintMarks

    void paintMarks(java.awt.Graphics g)

### paintExterior

    void paintExterior(java.awt.Graphics g,
                       int width,
                       int height,
                       int edctrl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD